Khắc phục lỗi encryption.php Opencart 1.5.6.4 khi chạy PHP 7


Khi chạy Opencart 1.5.6.4 trên PHP 7.1 sẽ lỗi encryption.php

Bạn dùng code encryption.php của Opencart 2.0.0 để loại bỏ lỗi nhé

<?php
final class Encryption {
private $key;

public function __construct($key) {
$this->key = hash('sha256', $key, true);
}

public function encrypt($value) {
return strtr(base64_encode(mcrypt_encrypt(MCRYPT_RIJNDAEL_256, hash('sha256', $this->key, true), $value, MCRYPT_MODE_ECB)), '+/=', '-_,');
}

public function decrypt($value) {
return trim(mcrypt_decrypt(MCRYPT_RIJNDAEL_256, hash('sha256', $this->key, true), base64_decode(strtr($value, '-_,', '+/=')), MCRYPT_MODE_ECB));
}
}

0 Nhận xét